Commit 1ce62e07 authored by alexpott's avatar alexpott

Issue #2019911 by johnmcc: Add install requirement that open_basedir() = Off...

Issue #2019911 by johnmcc: Add install requirement that open_basedir() = Off since 8.x currently doesn't support it.
parent 6a13b6a8
......@@ -36,6 +36,12 @@
exit;
}
// Exit early if the PHP option open_basedir is enabled to avoid fatal errors.
if (ini_get('open_basedir')) {
print 'Your PHP installation has open_basedir enabled. Drupal currently requires the open_basedir option to be turned off. See the <a href="http://www.php.net/manual/en/ini.core.php#ini.open-basedir">PHP manual</a> for details of how to do this. This issue is currently <a href="https://drupal.org/node/2110863">under discussion at drupal.org</a>.';
exit;
}
// Start the installer.
require_once __DIR__ . '/includes/install.core.inc';
install_drupal();
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment